require 'sketchup.rb'
require 'extensions.rb'

module SU
    module Powertools

	VERSION   = '1.0.0'.freeze
	PREF_KEY  = 'SU_powertools'.freeze
	TITLE     = 'SU_powertools'.freeze

	path = File.dirname( __FILE__ )
	core = File.join( path, 'su_powertools', 'core.rb' )
	ex = SketchupExtension.new( TITLE, core )
	ex.version = VERSION
	ex.copyright = 'Internet'
	ex.creator = 'Dota_'
	ex.description = '一个合并了数个插件的工具，部分插件原创，部分插件来源与网络。'
	Sketchup.register_extension( ex, true )
  
    end
end 

file_loaded( __FILE__ )