=begin rdoc
作者：dota_
版本：1.0
名称：设为默认色
=end

module SU::Powertools

	### MENU & TOOLBARS ### --------------------------------------------------

	unless file_loaded?( __FILE__ )      
		cmd_HighlightColor = UI::Command.new('设为默认色') { Sketchup.active_model.rendering_options['HighlightColor'] = [0, 1, 255, 255] }
		cmd_HighlightColor.large_icon = 'Images/HighlightColor_24.png'
		cmd_HighlightColor.small_icon = 'Images/HighlightColor_16.png'
		cmd_HighlightColor.status_bar_text = '设置选定项颜色为默认深蓝色。'
		cmd_HighlightColor.tooltip = '设为默认色'

		# Menu
		@menu.add_separator
		@menu.add_item( cmd_HighlightColor )

		# Toolbar
		@toolbar.add_separator
		@toolbar.add_item( cmd_HighlightColor )
	end # UI
	file_loaded( __FILE__ )

end # module