=begin rdoc
作者：dota_
版本：1.0
名称：添加场景
=end

module SU::Powertools

	### MENU & TOOLBARS ### --------------------------------------------------

	unless file_loaded?( __FILE__ )      
		cmd_Add_page = UI::Command.new('添加场景') { Add_page.main }
		cmd_Add_page.large_icon = 'Images/Add_page_24.png'
		cmd_Add_page.small_icon = 'Images/Add_page_16.png'
		cmd_Add_page.status_bar_text = '添加一个场景，可以在添加的时候修改场景名字。'
		cmd_Add_page.tooltip = '添加场景'

		# Menu
		@menu.add_item( cmd_Add_page )
		#@menu.add_separator

		# Toolbar
		@toolbar.add_item( cmd_Add_page )
		#@toolbar.add_separator
	end # UI
	file_loaded( __FILE__ )
  
  
	### METHODS ### ----------------------------------------------------------
	class Add_page

		def self.main

			model = Sketchup.active_model
			pages = model.pages

			Sketchup.set_status_text "添加场景 by dota_"

			name_ = ''
			results = inputbox ["场景名字"], [name_], '添加场景 by dota_'
			return nil if not results
			
			name_ = results[0]

			pages.add name_

		end

	end
  
end # module